package com.ruoyi.system.service;

import com.ruoyi.system.domain.dto.SeOnlineTimeDto;
import com.ruoyi.system.domain.dto.SeUserCountDto;

import java.time.LocalDate;
import java.util.List;

// 计算每天用户数量的服务, 并更新数据库
public interface ISysUserStService {
    public Long getUserCount();
    public List<SeUserCountDto> getSeUserCount();

    // 计算时间范围内的用户总数
    public List<SeUserCountDto> getUserCountByTime(LocalDate startDate, LocalDate endDate);

    // 计算时间范围内用户在线时长
    public List<SeOnlineTimeDto> gettOnlineTime(LocalDate startDate, LocalDate endDate);





}
